[vbox-dev] I: Bug#841634: virtualbox: Missing file /usr/lib/virtualbox/VBoxRT.so

Gianfranco Costamagna costamagnagianfranco at yahoo.it
Fri Oct 21 15:34:01 UTC 2016


Hi,

FYI, seems that the Python3 switch is causing troubles at least in Debian,
I'm forwarding this bug report for other maintainers, who might have similar issues.


Not sure if such renaming is Debian specific or something Python friendly

I: dh_python3 fs:322: renaming VBoxAuth.so to VBoxAuth.cpython-35m-x86_64-linux-gnu.so

cheers,

Gianfranco


Il Venerdì 21 Ottobre 2016 17:09, Christian Marillat <marillat at debian.org> ha scritto:
Package: virtualbox
Version: 5.1.8-dfsg-4
Severity: grave

Dear Maintainer,

Virtualbox doesn't start :

$ virtualbox 
VirtualBox: supR3HardenedVerifyFileInternal: Failed to open "/usr/lib/virtualbox/VBoxRT.so": No such file or directory (2)

$ apt-file search VBoxRT.so
virtualbox: /usr/lib/virtualbox/components/VBoxRT.so

Christian

-- System Information:
Debian Release: stretch/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: i386 (i686)

Kernel: Linux 4.1.34 (SMP w/8 CPU cores; PREEMPT)
Locale: LANG=fr_FR.UTF-8, LC_CTYPE=fr_FR.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)

Versions of packages virtualbox depends on:
ii  adduser                               3.115
ii  init-system-helpers                   1.45
ii  libc6                                 2.24-5
ii  libcurl3-gnutls                       7.50.1-1
ii  libdevmapper1.02.1                    2:1.02.133-1
ii  libgcc1                               1:6.2.0-9
ii  libgsoap10                            2.8.35-3
ii  libpng16-16                           1.6.25-2
ii  libpython3.5                          3.5.2-6+b1
ii  libsdl1.2debian                       1.2.15+dfsg1-4
ii  libssl1.0.2                           1.0.2j-1
ii  libstdc++6                            6.2.0-9
ii  libvncserver1                         0.9.10+dfsg-3+b1
ii  libvpx4                               1.6.0-2
ii  libx11-6                              2:1.6.3-1
ii  libxcursor1                           1:1.1.14-1+b1
ii  libxext6                              2:1.3.3-1
ii  libxml2                               2.9.4+dfsg1-2
ii  libxmu6                               2:1.1.2-2
ii  libxt6                                1:1.1.5-1
ii  procps                                2:3.3.12-2
ii  python3                               3.5.1-4
pn  python3:any                           <none>
ii  virtualbox-dkms [virtualbox-modules]  5.1.8-dfsg-4
ii  zlib1g                                1:1.2.8.dfsg-2+b1

Versions of packages virtualbox recommends:
ii  libgl1-mesa-glx [libgl1]  12.0.3-1
ii  libqt5core5a              5.6.1+dfsg-3+b1
ii  libqt5opengl5             5.6.1+dfsg-3+b1
ii  libqt5widgets5            5.6.1+dfsg-3+b1
ii  virtualbox-qt             5.1.8-dfsg-4

Versions of packages virtualbox suggests:
pn  vde2                            <none>
ii  virtualbox-guest-additions-iso  5.1.8-1

-- no debconf information


More information about the vbox-dev mailing list